#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int v=0, novcanice=0;
    int niz[10], cifra=0;
    cin>>v;

    niz[0]=0;
    niz[1]=1;
    niz[2]=1;
    niz[3]=2;
    niz[4]=2;
    niz[5]=1;
    niz[6]=2;
    niz[7]=2;
    niz[8]=3;
    niz[9]=3;

    while (v>=1)
    {
        cifra=v%10;
        v=v/10;
        novcanice=novcanice+niz[cifra];
    }
    cout<<novcanice<<endl;

    return 0;
}